_ccRF_SPICmdStrobe:
;SPI_Functions.c,7 :: 		char ccRF_SPICmdStrobe(char cmd){
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;SPI_Functions.c,9 :: 		CCRF_3_CS = 0;           // TRXEM_SPI_BEGIN();
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(CCRF_3_CS+0)
MOVT	R1, #hi_addr(CCRF_3_CS+0)
STR	R2, [R1, #0]
;SPI_Functions.c,10 :: 		asm NOP;
NOP
;SPI_Functions.c,11 :: 		rc = SPI3_Read(cmd);     //  TRXEM_SPI_TX(cmd);
; cmd end address is: 0 (R0)
BL	_SPI3_Read+0
; rc start address is: 0 (R0)
UXTB	R0, R0
;SPI_Functions.c,14 :: 		CCRF_3_CS = 1;           // TRXEM_SPI_END();
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(CCRF_3_CS+0)
MOVT	R1, #hi_addr(CCRF_3_CS+0)
STR	R2, [R1, #0]
;SPI_Functions.c,15 :: 		asm NOP;
NOP
;SPI_Functions.c,16 :: 		return(rc);
; rc end address is: 0 (R0)
;SPI_Functions.c,17 :: 		}
L_end_ccRF_SPICmdStrobe:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ccRF_SPICmdStrobe
_ccRF_ReadWriteBurstSingle:
;SPI_Functions.c,20 :: 		void ccRF_ReadWriteBurstSingle(char addr,char *pData,unsigned len)
; len start address is: 8 (R2)
; pData start address is: 4 (R1)
; addr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R6, R1
; len end address is: 8 (R2)
; pData end address is: 4 (R1)
; addr end address is: 0 (R0)
; addr start address is: 0 (R0)
; pData start address is: 24 (R6)
; len start address is: 8 (R2)
;SPI_Functions.c,24 :: 		if(addr & RADIO_READ_ACCESS)
AND	R3, R0, #128
UXTB	R3, R3
CMP	R3, #0
IT	EQ
BEQ	L_ccRF_ReadWriteBurstSingle0
;SPI_Functions.c,26 :: 		if(addr & RADIO_BURST_ACCESS)
AND	R3, R0, #64
UXTB	R3, R3
; addr end address is: 0 (R0)
CMP	R3, #0
IT	EQ
BEQ	L_ccRF_ReadWriteBurstSingle1
;SPI_Functions.c,28 :: 		for (i = 0; i < len; i++)
; i start address is: 16 (R4)
MOVS	R4, #0
; len end address is: 8 (R2)
; i end address is: 16 (R4)
; pData end address is: 24 (R6)
UXTH	R5, R2
L_ccRF_ReadWriteBurstSingle2:
; i start address is: 16 (R4)
; len start address is: 20 (R5)
; pData start address is: 24 (R6)
CMP	R4, R5
IT	CS
BCS	L_ccRF_ReadWriteBurstSingle3
;SPI_Functions.c,30 :: 		*pData++ = SPI3_Read(0);            /* Possible to combining read and write as one access type */
MOVS	R0, #0
BL	_SPI3_Read+0
STRB	R0, [R6, #0]
ADDS	R6, R6, #1
;SPI_Functions.c,28 :: 		for (i = 0; i < len; i++)
ADDS	R4, R4, #1
UXTH	R4, R4
;SPI_Functions.c,31 :: 		}
; len end address is: 20 (R5)
; i end address is: 16 (R4)
; pData end address is: 24 (R6)
IT	AL
BAL	L_ccRF_ReadWriteBurstSingle2
L_ccRF_ReadWriteBurstSingle3:
;SPI_Functions.c,32 :: 		}
IT	AL
BAL	L_ccRF_ReadWriteBurstSingle5
L_ccRF_ReadWriteBurstSingle1:
;SPI_Functions.c,35 :: 		*pData = SPI3_Read(0);
; pData start address is: 24 (R6)
MOVS	R0, #0
BL	_SPI3_Read+0
STRB	R0, [R6, #0]
; pData end address is: 24 (R6)
;SPI_Functions.c,36 :: 		}
L_ccRF_ReadWriteBurstSingle5:
;SPI_Functions.c,37 :: 		}
IT	AL
BAL	L_ccRF_ReadWriteBurstSingle6
L_ccRF_ReadWriteBurstSingle0:
;SPI_Functions.c,40 :: 		if(addr&RADIO_BURST_ACCESS)
; pData start address is: 24 (R6)
; len start address is: 8 (R2)
; addr start address is: 0 (R0)
AND	R3, R0, #64
UXTB	R3, R3
; addr end address is: 0 (R0)
CMP	R3, #0
IT	EQ
BEQ	L_ccRF_ReadWriteBurstSingle7
;SPI_Functions.c,43 :: 		for (i = 0; i < len; i++)
; i start address is: 20 (R5)
MOVS	R5, #0
; len end address is: 8 (R2)
; pData end address is: 24 (R6)
; i end address is: 20 (R5)
UXTH	R4, R2
L_ccRF_ReadWriteBurstSingle8:
; i start address is: 20 (R5)
; len start address is: 16 (R4)
; pData start address is: 24 (R6)
CMP	R5, R4
IT	CS
BCS	L_ccRF_ReadWriteBurstSingle9
;SPI_Functions.c,45 :: 		SPI3_Write(*pData++);
LDRB	R3, [R6, #0]
UXTH	R0, R3
BL	_SPI3_Write+0
ADDS	R6, R6, #1
;SPI_Functions.c,43 :: 		for (i = 0; i < len; i++)
ADDS	R5, R5, #1
UXTH	R5, R5
;SPI_Functions.c,46 :: 		}
; len end address is: 16 (R4)
; pData end address is: 24 (R6)
; i end address is: 20 (R5)
IT	AL
BAL	L_ccRF_ReadWriteBurstSingle8
L_ccRF_ReadWriteBurstSingle9:
;SPI_Functions.c,47 :: 		}
IT	AL
BAL	L_ccRF_ReadWriteBurstSingle11
L_ccRF_ReadWriteBurstSingle7:
;SPI_Functions.c,50 :: 		SPI3_Write(*pData);
; pData start address is: 24 (R6)
LDRB	R3, [R6, #0]
; pData end address is: 24 (R6)
UXTH	R0, R3
BL	_SPI3_Write+0
;SPI_Functions.c,51 :: 		}
L_ccRF_ReadWriteBurstSingle11:
;SPI_Functions.c,52 :: 		}
L_ccRF_ReadWriteBurstSingle6:
;SPI_Functions.c,53 :: 		return;
;SPI_Functions.c,54 :: 		}
L_end_ccRF_ReadWriteBurstSingle:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ccRF_ReadWriteBurstSingle
_ccRF_8BitRegAccess:
;SPI_Functions.c,56 :: 		char ccRF_8BitRegAccess(char accessType, char addrByte, char *pData, unsigned len)
; len start address is: 12 (R3)
; pData start address is: 8 (R2)
; addrByte start address is: 4 (R1)
; accessType start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
UXTB	R6, R0
UXTB	R7, R1
MOV	R8, R2
UXTH	R9, R3
; len end address is: 12 (R3)
; pData end address is: 8 (R2)
; addrByte end address is: 4 (R1)
; accessType end address is: 0 (R0)
; accessType start address is: 24 (R6)
; addrByte start address is: 28 (R7)
; pData start address is: 32 (R8)
; len start address is: 36 (R9)
;SPI_Functions.c,62 :: 		CCRF_3_CS = 0;
MOVS	R5, #0
SXTB	R5, R5
MOVW	R4, #lo_addr(CCRF_3_CS+0)
MOVT	R4, #hi_addr(CCRF_3_CS+0)
STR	R5, [R4, #0]
;SPI_Functions.c,63 :: 		asm NOP;
NOP
;SPI_Functions.c,65 :: 		readValue = SPI3_Read(accessType|addrByte);
ORR	R4, R6, R7, LSL #0
UXTB	R4, R4
UXTB	R0, R4
BL	_SPI3_Read+0
; readValue start address is: 40 (R10)
UXTB	R10, R0
;SPI_Functions.c,66 :: 		ccRF_ReadWriteBurstSingle(accessType|addrByte, pData, len);
ORR	R4, R6, R7, LSL #0
; accessType end address is: 24 (R6)
; addrByte end address is: 28 (R7)
UXTH	R2, R9
; len end address is: 36 (R9)
MOV	R1, R8
; pData end address is: 32 (R8)
UXTB	R0, R4
BL	_ccRF_ReadWriteBurstSingle+0
;SPI_Functions.c,67 :: 		asm NOP;
NOP
;SPI_Functions.c,68 :: 		CCRF_3_CS = 1;
MOVS	R5, #1
SXTB	R5, R5
MOVW	R4, #lo_addr(CCRF_3_CS+0)
MOVT	R4, #hi_addr(CCRF_3_CS+0)
STR	R5, [R4, #0]
;SPI_Functions.c,70 :: 		return(readValue);
UXTB	R0, R10
; readValue end address is: 40 (R10)
;SPI_Functions.c,71 :: 		}
L_end_ccRF_8BitRegAccess:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ccRF_8BitRegAccess
_ccRF_16BitRegAccess:
;SPI_Functions.c,73 :: 		char ccRF_16BitRegAccess(char accessType, char extAddr, char regAddr, char *pData, char len)
; pData start address is: 12 (R3)
; regAddr start address is: 8 (R2)
; extAddr start address is: 4 (R1)
; accessType start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
UXTB	R6, R0
UXTB	R7, R1
UXTB	R8, R2
MOV	R9, R3
; pData end address is: 12 (R3)
; regAddr end address is: 8 (R2)
; extAddr end address is: 4 (R1)
; accessType end address is: 0 (R0)
; accessType start address is: 24 (R6)
; extAddr start address is: 28 (R7)
; regAddr start address is: 32 (R8)
; pData start address is: 36 (R9)
; len start address is: 40 (R10)
LDRB	R10, [SP, #4]
;SPI_Functions.c,76 :: 		CCRF_3_CS = 0;
MOVS	R5, #0
SXTB	R5, R5
MOVW	R4, #lo_addr(CCRF_3_CS+0)
MOVT	R4, #hi_addr(CCRF_3_CS+0)
STR	R5, [R4, #0]
;SPI_Functions.c,77 :: 		asm NOP;
NOP
;SPI_Functions.c,80 :: 		readValue = SPI3_Read(accessType|extAddr);
ORR	R4, R6, R7, LSL #0
UXTB	R4, R4
UXTB	R0, R4
BL	_SPI3_Read+0
; readValue start address is: 44 (R11)
UXTB	R11, R0
;SPI_Functions.c,81 :: 		SPI3_Write(regAddr);
UXTB	R0, R8
; regAddr end address is: 32 (R8)
BL	_SPI3_Write+0
;SPI_Functions.c,83 :: 		ccRF_ReadWriteBurstSingle(accessType|extAddr, pData, len);
ORR	R4, R6, R7, LSL #0
; accessType end address is: 24 (R6)
; extAddr end address is: 28 (R7)
UXTB	R2, R10
; len end address is: 40 (R10)
MOV	R1, R9
; pData end address is: 36 (R9)
UXTB	R0, R4
BL	_ccRF_ReadWriteBurstSingle+0
;SPI_Functions.c,84 :: 		asm NOP;
NOP
;SPI_Functions.c,85 :: 		CCRF_3_CS = 1;
MOVS	R5, #1
SXTB	R5, R5
MOVW	R4, #lo_addr(CCRF_3_CS+0)
MOVT	R4, #hi_addr(CCRF_3_CS+0)
STR	R5, [R4, #0]
;SPI_Functions.c,87 :: 		return(readValue);
UXTB	R0, R11
; readValue end address is: 44 (R11)
;SPI_Functions.c,88 :: 		}
L_end_ccRF_16BitRegAccess:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ccRF_16BitRegAccess
_ccRF_SpiWriteReg:
;SPI_Functions.c,90 :: 		char ccRF_SpiWriteReg(unsigned addr, char *pData, char len){
; len start address is: 8 (R2)
; pData start address is: 4 (R1)
; addr start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STRB	R2, [SP, #4]
UXTH	R2, R0
LDRB	R0, [SP, #4]
MOV	R12, R1
; len end address is: 8 (R2)
; pData end address is: 4 (R1)
; addr end address is: 0 (R0)
; addr start address is: 8 (R2)
; pData start address is: 48 (R12)
; len start address is: 0 (R0)
;SPI_Functions.c,91 :: 		char tempExt  = (char)(addr>>8);
LSRS	R3, R2, #8
; tempExt start address is: 4 (R1)
UXTB	R1, R3
;SPI_Functions.c,92 :: 		char tempAddr = (char)(addr & 0x00FF);
AND	R3, R2, #255
; addr end address is: 8 (R2)
; tempAddr start address is: 8 (R2)
UXTB	R2, R3
;SPI_Functions.c,96 :: 		if((CCRF_3_SINGLE_TXFIFO <= tempAddr) && (tempExt == 0)) return STATUS_CHIP_RDYn_BM;
UXTB	R3, R3
CMP	R3, #63
IT	CC
BCC	L__ccRF_SpiWriteReg26
CMP	R1, #0
IT	NE
BNE	L__ccRF_SpiWriteReg25
; pData end address is: 48 (R12)
; len end address is: 0 (R0)
; tempExt end address is: 4 (R1)
; tempAddr end address is: 8 (R2)
L__ccRF_SpiWriteReg24:
MOVS	R0, #128
IT	AL
BAL	L_end_ccRF_SpiWriteReg
L__ccRF_SpiWriteReg26:
; tempAddr start address is: 8 (R2)
; tempExt start address is: 4 (R1)
; len start address is: 0 (R0)
; pData start address is: 48 (R12)
L__ccRF_SpiWriteReg25:
;SPI_Functions.c,99 :: 		if(!tempExt){
CMP	R1, #0
IT	NE
BNE	L_ccRF_SpiWriteReg15
; tempExt end address is: 4 (R1)
;SPI_Functions.c,100 :: 		rc = ccRF_8BitRegAccess((RADIO_BURST_ACCESS|RADIO_WRITE_ACCESS), tempAddr, pData, len);
UXTB	R3, R0
; len end address is: 0 (R0)
UXTB	R1, R2
; pData end address is: 48 (R12)
MOV	R2, R12
; tempAddr end address is: 8 (R2)
MOVS	R0, #64
BL	_ccRF_8BitRegAccess+0
STRB	R0, [SP, #8]
;SPI_Functions.c,101 :: 		}
IT	AL
BAL	L_ccRF_SpiWriteReg16
L_ccRF_SpiWriteReg15:
;SPI_Functions.c,102 :: 		else if (tempExt == 0x2F){
; tempAddr start address is: 8 (R2)
; tempExt start address is: 4 (R1)
; len start address is: 0 (R0)
; pData start address is: 48 (R12)
CMP	R1, #47
IT	NE
BNE	L_ccRF_SpiWriteReg17
;SPI_Functions.c,103 :: 		rc = ccRF_16BitRegAccess((RADIO_BURST_ACCESS|RADIO_WRITE_ACCESS), tempExt, tempAddr, pData, len);
PUSH	(R0)
; pData end address is: 48 (R12)
MOV	R3, R12
; tempAddr end address is: 8 (R2)
; tempExt end address is: 4 (R1)
MOVS	R0, #64
; len end address is: 0 (R0)
BL	_ccRF_16BitRegAccess+0
ADD	SP, SP, #4
STRB	R0, [SP, #8]
;SPI_Functions.c,104 :: 		}
L_ccRF_SpiWriteReg17:
L_ccRF_SpiWriteReg16:
;SPI_Functions.c,105 :: 		return (rc);
LDRB	R0, [SP, #8]
;SPI_Functions.c,106 :: 		}
L_end_ccRF_SpiWriteReg:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _ccRF_SpiWriteReg
_ccRF_SPIReadReg:
;SPI_Functions.c,108 :: 		char ccRF_SPIReadReg(unsigned addr, char *pData, char len)
; len start address is: 8 (R2)
; pData start address is: 4 (R1)
; addr start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STRB	R2, [SP, #4]
UXTH	R2, R0
LDRB	R0, [SP, #4]
MOV	R12, R1
; len end address is: 8 (R2)
; pData end address is: 4 (R1)
; addr end address is: 0 (R0)
; addr start address is: 8 (R2)
; pData start address is: 48 (R12)
; len start address is: 0 (R0)
;SPI_Functions.c,110 :: 		char tempExt  = (char)(addr>>8);
LSRS	R3, R2, #8
; tempExt start address is: 4 (R1)
UXTB	R1, R3
;SPI_Functions.c,111 :: 		char tempAddr = (char)(addr & 0x00FF);
AND	R3, R2, #255
; addr end address is: 8 (R2)
; tempAddr start address is: 8 (R2)
UXTB	R2, R3
;SPI_Functions.c,115 :: 		if((CCRF_3_SINGLE_TXFIFO<=tempAddr)&&(tempExt==0)) return STATUS_CHIP_RDYn_BM;
UXTB	R3, R3
CMP	R3, #63
IT	CC
BCC	L__ccRF_SPIReadReg29
CMP	R1, #0
IT	NE
BNE	L__ccRF_SPIReadReg28
; pData end address is: 48 (R12)
; len end address is: 0 (R0)
; tempExt end address is: 4 (R1)
; tempAddr end address is: 8 (R2)
L__ccRF_SPIReadReg27:
MOVS	R0, #128
IT	AL
BAL	L_end_ccRF_SPIReadReg
L__ccRF_SPIReadReg29:
; tempAddr start address is: 8 (R2)
; tempExt start address is: 4 (R1)
; len start address is: 0 (R0)
; pData start address is: 48 (R12)
L__ccRF_SPIReadReg28:
;SPI_Functions.c,118 :: 		if(!tempExt)
CMP	R1, #0
IT	NE
BNE	L_ccRF_SPIReadReg21
; tempExt end address is: 4 (R1)
;SPI_Functions.c,120 :: 		rc = ccRF_8BitRegAccess((RADIO_BURST_ACCESS|RADIO_READ_ACCESS),tempAddr,pData,len);
UXTB	R3, R0
; len end address is: 0 (R0)
UXTB	R1, R2
; pData end address is: 48 (R12)
MOV	R2, R12
; tempAddr end address is: 8 (R2)
MOVS	R0, #192
BL	_ccRF_8BitRegAccess+0
STRB	R0, [SP, #8]
;SPI_Functions.c,121 :: 		}
IT	AL
BAL	L_ccRF_SPIReadReg22
L_ccRF_SPIReadReg21:
;SPI_Functions.c,122 :: 		else if (tempExt == 0x2F)
; tempAddr start address is: 8 (R2)
; tempExt start address is: 4 (R1)
; len start address is: 0 (R0)
; pData start address is: 48 (R12)
CMP	R1, #47
IT	NE
BNE	L_ccRF_SPIReadReg23
;SPI_Functions.c,124 :: 		rc = ccRF_16BitRegAccess((RADIO_BURST_ACCESS|RADIO_READ_ACCESS),tempExt,tempAddr,pData,len);
PUSH	(R0)
; pData end address is: 48 (R12)
MOV	R3, R12
; tempAddr end address is: 8 (R2)
; tempExt end address is: 4 (R1)
MOVS	R0, #192
; len end address is: 0 (R0)
BL	_ccRF_16BitRegAccess+0
ADD	SP, SP, #4
STRB	R0, [SP, #8]
;SPI_Functions.c,125 :: 		}
L_ccRF_SPIReadReg23:
L_ccRF_SPIReadReg22:
;SPI_Functions.c,126 :: 		return (rc);
LDRB	R0, [SP, #8]
;SPI_Functions.c,127 :: 		}
L_end_ccRF_SPIReadReg:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _ccRF_SPIReadReg
_ccRF_SPIWriteTxFifo:
;SPI_Functions.c,129 :: 		char ccRF_SPIWriteTxFifo(char *pData, char len)
; len start address is: 4 (R1)
; pData start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; len end address is: 4 (R1)
; pData end address is: 0 (R0)
; pData start address is: 0 (R0)
; len start address is: 4 (R1)
;SPI_Functions.c,132 :: 		rc = ccRF_8BitRegAccess(0x00,CCRF_3_BURST_TXFIFO, pData, len);
UXTB	R3, R1
; len end address is: 4 (R1)
MOV	R2, R0
; pData end address is: 0 (R0)
MOVS	R1, #127
MOVS	R0, #0
BL	_ccRF_8BitRegAccess+0
;SPI_Functions.c,133 :: 		return (rc);
;SPI_Functions.c,134 :: 		}
L_end_ccRF_SPIWriteTxFifo:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ccRF_SPIWriteTxFifo
_ccRF_SPIReadRxFifo:
;SPI_Functions.c,136 :: 		char ccRF_SPIReadRxFifo(char * pData, char len)
; len start address is: 4 (R1)
; pData start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; len end address is: 4 (R1)
; pData end address is: 0 (R0)
; pData start address is: 0 (R0)
; len start address is: 4 (R1)
;SPI_Functions.c,139 :: 		rc = ccRF_8BitRegAccess(0x00,CCRF_3_BURST_RXFIFO, pData, len);
UXTB	R3, R1
; len end address is: 4 (R1)
MOV	R2, R0
; pData end address is: 0 (R0)
MOVS	R1, #255
MOVS	R0, #0
BL	_ccRF_8BitRegAccess+0
;SPI_Functions.c,140 :: 		return (rc);
;SPI_Functions.c,141 :: 		}
L_end_ccRF_SPIReadRxFifo:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ccRF_SPIReadRxFifo
_ccRF_ReadGPIO2:
;SPI_Functions.c,143 :: 		char ccRF_ReadGPIO2(){
;SPI_Functions.c,144 :: 		return CCRF_3_GP2;
MOVW	R1, #lo_addr(CCRF_3_GP2+0)
MOVT	R1, #hi_addr(CCRF_3_GP2+0)
LDR	R0, [R1, #0]
;SPI_Functions.c,145 :: 		}
L_end_ccRF_ReadGPIO2:
BX	LR
; end of _ccRF_ReadGPIO2
