_ccRF_CreatePacket:
;easyLink.c,12 :: 		void ccRF_CreatePacket(char txBuffer[])
;easyLink.c,15 :: 		char tmp = 0xAA;
; tmp start address is: 0 (R0)
MOVS	R0, #170
;easyLink.c,16 :: 		buffer[0] = PKTLEN;                          // Length byte
MOVS	R2, #5
MOVW	R1, #lo_addr(_buffer+0)
MOVT	R1, #hi_addr(_buffer+0)
STRB	R2, [R1, #0]
;easyLink.c,17 :: 		buffer[1] = (char) (packetCounter >> 8);     // MSB of packetCounter
MOVW	R1, #lo_addr(_packetCounter+0)
MOVT	R1, #hi_addr(_packetCounter+0)
LDRH	R1, [R1, #0]
LSRS	R1, R1, #8
UXTB	R2, R1
MOVW	R1, #lo_addr(_buffer+1)
MOVT	R1, #hi_addr(_buffer+1)
STRB	R2, [R1, #0]
;easyLink.c,18 :: 		buffer[2] = (char)  packetCounter;           // LSB of packetCounter
MOVW	R1, #lo_addr(_packetCounter+0)
MOVT	R1, #hi_addr(_packetCounter+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(_buffer+2)
MOVT	R1, #hi_addr(_buffer+2)
STRB	R2, [R1, #0]
;easyLink.c,21 :: 		for(i = 3; i < PKTLEN; i++)
; i start address is: 12 (R3)
MOVS	R3, #3
SXTH	R3, R3
; i end address is: 12 (R3)
L_ccRF_CreatePacket0:
; i start address is: 12 (R3)
; tmp start address is: 0 (R0)
; tmp end address is: 0 (R0)
CMP	R3, #5
IT	GE
BGE	L_ccRF_CreatePacket1
; tmp end address is: 0 (R0)
;easyLink.c,23 :: 		if ( i % 2 )
; tmp start address is: 0 (R0)
MOVS	R2, #2
SXTH	R2, R2
SDIV	R1, R3, R2
MLS	R1, R2, R1, R3
SXTH	R1, R1
CMP	R1, #0
IT	EQ
BEQ	L_ccRF_CreatePacket3
;easyLink.c,25 :: 		buffer[i] = tmp;
MOVW	R1, #lo_addr(_buffer+0)
MOVT	R1, #hi_addr(_buffer+0)
ADDS	R1, R1, R3
STRB	R0, [R1, #0]
;easyLink.c,26 :: 		}
IT	AL
BAL	L_ccRF_CreatePacket4
L_ccRF_CreatePacket3:
;easyLink.c,29 :: 		buffer[i] = ~tmp;
MOVW	R1, #lo_addr(_buffer+0)
MOVT	R1, #hi_addr(_buffer+0)
ADDS	R2, R1, R3
MVN	R1, R0
STRB	R1, [R2, #0]
;easyLink.c,30 :: 		}
L_ccRF_CreatePacket4:
;easyLink.c,21 :: 		for(i = 3; i < PKTLEN; i++)
ADDS	R3, R3, #1
SXTH	R3, R3
;easyLink.c,31 :: 		}
; tmp end address is: 0 (R0)
; i end address is: 12 (R3)
IT	AL
BAL	L_ccRF_CreatePacket0
L_ccRF_CreatePacket1:
;easyLink.c,32 :: 		}
L_end_ccRF_CreatePacket:
BX	LR
; end of _ccRF_CreatePacket
_ccRF_RunTX:
;easyLink.c,34 :: 		void ccRF_RunTX()
SUB	SP, SP, #12
STR	LR, [SP, #0]
;easyLink.c,36 :: 		char txt_cnt[5] = { 0 };
MOVS	R0, #0
STRB	R0, [SP, #4]
MOVS	R0, #0
STRB	R0, [SP, #5]
STRB	R0, [SP, #6]
STRB	R0, [SP, #7]
STRB	R0, [SP, #8]
;easyLink.c,38 :: 		packetCounter++;
MOVW	R0, #lo_addr(_packetCounter+0)
MOVT	R0, #hi_addr(_packetCounter+0)
LDRH	R0, [R0, #0]
ADDS	R1, R0, #1
MOVW	R0, #lo_addr(_packetCounter+0)
MOVT	R0, #hi_addr(_packetCounter+0)
STRH	R1, [R0, #0]
;easyLink.c,39 :: 		WordToStr(packetCounter, txt_cnt);
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_packetCounter+0)
MOVT	R0, #hi_addr(_packetCounter+0)
LDRH	R0, [R0, #0]
BL	_WordToStr+0
;easyLink.c,40 :: 		TFT_Rectangle(180,120,280,150);
MOVS	R3, #150
SXTH	R3, R3
MOVW	R2, #280
SXTH	R2, R2
MOVS	R1, #120
SXTH	R1, R1
MOVS	R0, #180
SXTH	R0, R0
BL	_TFT_Rectangle+0
;easyLink.c,41 :: 		TFT_Write_Text(txt_cnt, 200, 130);
ADD	R0, SP, #4
MOVS	R2, #130
MOVS	R1, #200
BL	_TFT_Write_Text+0
;easyLink.c,42 :: 		memset(buffer,"", PKTLEN+1);
MOVS	R0, #lo_addr(?lstr_1_easyLink+0)
MOVS	R2, #6
SXTH	R2, R2
UXTB	R1, R0
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
BL	_memset+0
;easyLink.c,45 :: 		ccRF_CreatePacket(buffer);
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
BL	_ccRF_CreatePacket+0
;easyLink.c,47 :: 		ccRF_SPIWriteTxFifo(buffer, sizeof(buffer));
MOVS	R1, #6
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
BL	_ccRF_SPIWriteTxFifo+0
;easyLink.c,49 :: 		ccRF_SPICmdStrobe(CCRF_3_STX);
MOVS	R0, #53
BL	_ccRF_SPICmdStrobe+0
;easyLink.c,50 :: 		Delay_100ms();
BL	_Delay_100ms+0
;easyLink.c,51 :: 		}
L_end_ccRF_RunTX:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _ccRF_RunTX
_ccRF_SetRXmode:
;easyLink.c,54 :: 		void ccRF_SetRXmode()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;easyLink.c,56 :: 		ccRF_SPICmdStrobe(CCRF_3_SRX);
MOVS	R0, #52
BL	_ccRF_SPICmdStrobe+0
;easyLink.c,57 :: 		}
L_end_ccRF_SetRXmode:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ccRF_SetRXmode
_ccRF_RunRX:
;easyLink.c,59 :: 		void ccRF_RunRX(){
SUB	SP, SP, #36
STR	LR, [SP, #0]
;easyLink.c,63 :: 		unsigned receivedCnt = 0;
;easyLink.c,65 :: 		if(CCRF_3_GP3){
MOVW	R1, #lo_addr(CCRF_3_GP3+0)
MOVT	R1, #hi_addr(CCRF_3_GP3+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_ccRF_RunRX5
;easyLink.c,66 :: 		while(CCRF_3_GP3);
L_ccRF_RunRX6:
MOVW	R1, #lo_addr(CCRF_3_GP3+0)
MOVT	R1, #hi_addr(CCRF_3_GP3+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_ccRF_RunRX7
IT	AL
BAL	L_ccRF_RunRX6
L_ccRF_RunRX7:
;easyLink.c,69 :: 		ccRF_SPIReadReg(CCRF_3_NUM_RXBYTES, &rxBytes, 1);
ADD	R0, SP, #33
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12247
BL	_ccRF_SPIReadReg+0
;easyLink.c,71 :: 		if(rxBytes != 0) {
LDRB	R0, [SP, #33]
CMP	R0, #0
IT	EQ
BEQ	L_ccRF_RunRX8
;easyLink.c,73 :: 		CCRF_SPIReadReg(CCRF_3_MARCSTATE, &marcState, 1);
ADD	R0, SP, #34
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12147
BL	_ccRF_SPIReadReg+0
;easyLink.c,75 :: 		if((marcState & 0x1F) == RX_FIFO_ERROR) {
LDRB	R0, [SP, #34]
AND	R0, R0, #31
UXTB	R0, R0
CMP	R0, #17
IT	NE
BNE	L_ccRF_RunRX9
;easyLink.c,77 :: 		ccRF_SPICmdStrobe(CCRF_3_SFRX);
MOVS	R0, #58
BL	_ccRF_SPICmdStrobe+0
;easyLink.c,78 :: 		TFT_Write_Text("ERROR", 200, 180);
MOVW	R0, #lo_addr(?lstr2_easyLink+0)
MOVT	R0, #hi_addr(?lstr2_easyLink+0)
MOVS	R2, #180
MOVS	R1, #200
BL	_TFT_Write_Text+0
;easyLink.c,79 :: 		} else {
IT	AL
BAL	L_ccRF_RunRX10
L_ccRF_RunRX9:
;easyLink.c,81 :: 		ccRF_SPIReadRxFifo(buffer, rxBytes);
LDRB	R1, [SP, #33]
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
BL	_ccRF_SPIReadRxFifo+0
;easyLink.c,86 :: 		if(buffer[rxBytes - 1] & 0x80) {
LDRB	R0, [SP, #33]
SUBS	R1, R0, #1
SXTH	R1, R1
MOVW	R0, #lo_addr(_buffer+0)
MOVT	R0, #hi_addr(_buffer+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
AND	R0, R0, #128
UXTB	R0, R0
CMP	R0, #0
IT	EQ
BEQ	L_ccRF_RunRX11
;easyLink.c,87 :: 		ccRF_SetRXmode();
BL	_ccRF_SetRXmode+0
;easyLink.c,89 :: 		receivedCounter++;
MOVW	R0, #lo_addr(_receivedCounter+0)
MOVT	R0, #hi_addr(_receivedCounter+0)
LDRH	R0, [R0, #0]
ADDS	R1, R0, #1
MOVW	R0, #lo_addr(_receivedCounter+0)
MOVT	R0, #hi_addr(_receivedCounter+0)
STRH	R1, [R0, #0]
;easyLink.c,90 :: 		receivedCnt  = buffer[1]<<8;
MOVW	R0, #lo_addr(_buffer+1)
MOVT	R0, #hi_addr(_buffer+1)
LDRB	R0, [R0, #0]
LSLS	R1, R0, #8
UXTH	R1, R1
;easyLink.c,91 :: 		receivedCnt += buffer[2];
MOVW	R0, #lo_addr(_buffer+2)
MOVT	R0, #hi_addr(_buffer+2)
LDRB	R0, [R0, #0]
ADDS	R1, R1, R0
;easyLink.c,92 :: 		WordToStr(receivedCnt, txt);
ADD	R0, SP, #8
STRH	R1, [SP, #4]
MOV	R1, R0
LDRH	R0, [SP, #4]
BL	_WordToStr+0
;easyLink.c,93 :: 		TFT_Set_Pen( CL_WHITE, 1 );
MOVS	R1, #1
MOVW	R0, #65535
BL	_TFT_Set_Pen+0
;easyLink.c,94 :: 		TFT_Set_Brush(1, CL_WHITE, 0, 0, 0, 0);
MOVS	R1, #0
MOVS	R0, #0
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #65535
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;easyLink.c,95 :: 		TFT_Rectangle(190, 180, 300, 200);
MOVS	R3, #200
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #180
SXTH	R1, R1
MOVS	R0, #190
SXTH	R0, R0
BL	_TFT_Rectangle+0
;easyLink.c,96 :: 		TFT_Write_Text(txt, 200, 180);
ADD	R0, SP, #8
MOVS	R2, #180
MOVS	R1, #200
BL	_TFT_Write_Text+0
;easyLink.c,98 :: 		}
L_ccRF_RunRX11:
;easyLink.c,99 :: 		}
L_ccRF_RunRX10:
;easyLink.c,100 :: 		}
L_ccRF_RunRX8:
;easyLink.c,101 :: 		}
L_ccRF_RunRX5:
;easyLink.c,102 :: 		}
L_end_ccRF_RunRX:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _ccRF_RunRX
_ccRF_registerConfig:
;easyLink.c,104 :: 		void ccRF_registerConfig(void)
SUB	SP, SP, #12
STR	LR, [SP, #0]
;easyLink.c,109 :: 		ccRF_SPICmdStrobe(CCRF_3_SRES);
MOVS	R0, #48
BL	_ccRF_SPICmdStrobe+0
;easyLink.c,112 :: 		for(i = 0; i < (sizeof(preferredSettings_433)/sizeof(registerSetting_t)); i++)
; i start address is: 12 (R3)
MOVS	R3, #0
; i end address is: 12 (R3)
L_ccRF_registerConfig12:
; i start address is: 12 (R3)
CMP	R3, #40
IT	CS
BCS	L_ccRF_registerConfig13
;easyLink.c,114 :: 		writeByte = preferredSettings_433[i].dat;
LSLS	R1, R3, #2
MOVW	R0, #lo_addr(_preferredSettings_433+0)
MOVT	R0, #hi_addr(_preferredSettings_433+0)
ADDS	R2, R0, R1
ADDS	R0, R2, #2
LDRB	R0, [R0, #0]
STRB	R0, [SP, #8]
;easyLink.c,115 :: 		ccRF_SPIWriteReg(preferredSettings_433[i].addr, &writeByte, 1);
ADD	R1, SP, #8
LDRH	R0, [R2, #0]
STRH	R3, [SP, #4]
MOVS	R2, #1
BL	_ccRF_SPIWriteReg+0
LDRH	R3, [SP, #4]
;easyLink.c,112 :: 		for(i = 0; i < (sizeof(preferredSettings_433)/sizeof(registerSetting_t)); i++)
ADDS	R3, R3, #1
UXTH	R3, R3
;easyLink.c,116 :: 		}
; i end address is: 12 (R3)
IT	AL
BAL	L_ccRF_registerConfig12
L_ccRF_registerConfig13:
;easyLink.c,117 :: 		}
L_end_ccRF_registerConfig:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _ccRF_registerConfig
_ccRF_ManualCalibration:
;easyLink.c,124 :: 		void ccRF_ManualCalibration(void) {
SUB	SP, SP, #16
STR	LR, [SP, #0]
;easyLink.c,133 :: 		writeByte = 0x00;
MOVS	R0, #0
STRB	R0, [SP, #12]
;easyLink.c,134 :: 		ccRF_SPIWriteReg(CCRF_3_FS_VCO2, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12069
BL	_ccRF_SPIWriteReg+0
;easyLink.c,137 :: 		ccRF_SPIReadReg(CCRF_3_FS_CAL2, &original_fs_cal2, 1);
ADD	R0, SP, #4
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12053
BL	_ccRF_SPIReadReg+0
;easyLink.c,138 :: 		writeByte = original_fs_cal2 + VCDAC_START_OFFSET;
LDRB	R0, [SP, #4]
ADDS	R0, R0, #2
STRB	R0, [SP, #12]
;easyLink.c,139 :: 		ccRF_SPIWriteReg(CCRF_3_FS_CAL2, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12053
BL	_ccRF_SPIWriteReg+0
;easyLink.c,143 :: 		ccRF_SPICmdStrobe(CCRF_3_SCAL);
MOVS	R0, #51
BL	_ccRF_SPICmdStrobe+0
;easyLink.c,145 :: 		do {
L_ccRF_ManualCalibration15:
;easyLink.c,146 :: 		ccRF_SPIReadReg(CCRF_3_MARCSTATE, &marcstate, 1);
ADD	R0, SP, #11
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12147
BL	_ccRF_SPIReadReg+0
;easyLink.c,147 :: 		} while (marcstate != 0x41);
LDRB	R0, [SP, #11]
CMP	R0, #65
IT	NE
BNE	L_ccRF_ManualCalibration15
;easyLink.c,152 :: 		&calResults_for_vcdac_start_high[FS_VCO2_INDEX], 1);
ADD	R0, SP, #5
MOVS	R2, #1
MOV	R1, R0
;easyLink.c,151 :: 		CCRF_SPIReadReg(CCRF_3_FS_VCO2,
MOVW	R0, #12069
;easyLink.c,152 :: 		&calResults_for_vcdac_start_high[FS_VCO2_INDEX], 1);
BL	_ccRF_SPIReadReg+0
;easyLink.c,154 :: 		&calResults_for_vcdac_start_high[FS_VCO4_INDEX], 1);
ADD	R0, SP, #5
ADDS	R0, R0, #1
MOVS	R2, #1
MOV	R1, R0
;easyLink.c,153 :: 		CCRF_SPIReadReg(CCRF_3_FS_VCO4,
MOVW	R0, #12067
;easyLink.c,154 :: 		&calResults_for_vcdac_start_high[FS_VCO4_INDEX], 1);
BL	_ccRF_SPIReadReg+0
;easyLink.c,156 :: 		&calResults_for_vcdac_start_high[FS_CHP_INDEX], 1);
ADD	R0, SP, #5
ADDS	R0, R0, #2
MOVS	R2, #1
MOV	R1, R0
;easyLink.c,155 :: 		CCRF_SPIReadReg(CCRF_3_FS_CHP,
MOVW	R0, #12056
;easyLink.c,156 :: 		&calResults_for_vcdac_start_high[FS_CHP_INDEX], 1);
BL	_ccRF_SPIReadReg+0
;easyLink.c,159 :: 		writeByte = 0x00;
MOVS	R0, #0
STRB	R0, [SP, #12]
;easyLink.c,160 :: 		CCRF_SPIWriteReg(CCRF_3_FS_VCO2, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12069
BL	_ccRF_SPIWriteReg+0
;easyLink.c,163 :: 		writeByte = original_fs_cal2;
LDRB	R0, [SP, #4]
STRB	R0, [SP, #12]
;easyLink.c,164 :: 		CCRF_SPIWriteReg(CCRF_3_FS_CAL2, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12053
BL	_ccRF_SPIWriteReg+0
;easyLink.c,168 :: 		ccRF_SPICmdStrobe(CCRF_3_SCAL);
MOVS	R0, #51
BL	_ccRF_SPICmdStrobe+0
;easyLink.c,170 :: 		do {
L_ccRF_ManualCalibration18:
;easyLink.c,171 :: 		CCRF_SPIReadReg(CCRF_3_MARCSTATE, &marcstate, 1);
ADD	R0, SP, #11
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12147
BL	_ccRF_SPIReadReg+0
;easyLink.c,172 :: 		} while (marcstate != 0x41);
LDRB	R0, [SP, #11]
CMP	R0, #65
IT	NE
BNE	L_ccRF_ManualCalibration18
;easyLink.c,177 :: 		&calResults_for_vcdac_start_mid[FS_VCO2_INDEX], 1);
ADD	R0, SP, #8
MOVS	R2, #1
MOV	R1, R0
;easyLink.c,176 :: 		CCRF_SPIReadReg(CCRF_3_FS_VCO2,
MOVW	R0, #12069
;easyLink.c,177 :: 		&calResults_for_vcdac_start_mid[FS_VCO2_INDEX], 1);
BL	_ccRF_SPIReadReg+0
;easyLink.c,179 :: 		&calResults_for_vcdac_start_mid[FS_VCO4_INDEX], 1);
ADD	R0, SP, #8
ADDS	R0, R0, #1
MOVS	R2, #1
MOV	R1, R0
;easyLink.c,178 :: 		CCRF_SPIReadReg(CCRF_3_FS_VCO4,
MOVW	R0, #12067
;easyLink.c,179 :: 		&calResults_for_vcdac_start_mid[FS_VCO4_INDEX], 1);
BL	_ccRF_SPIReadReg+0
;easyLink.c,181 :: 		&calResults_for_vcdac_start_mid[FS_CHP_INDEX], 1);
ADD	R0, SP, #8
ADDS	R0, R0, #2
MOVS	R2, #1
MOV	R1, R0
;easyLink.c,180 :: 		CCRF_SPIReadReg(CCRF_3_FS_CHP,
MOVW	R0, #12056
;easyLink.c,181 :: 		&calResults_for_vcdac_start_mid[FS_CHP_INDEX], 1);
BL	_ccRF_SPIReadReg+0
;easyLink.c,185 :: 		if (calResults_for_vcdac_start_high[FS_VCO2_INDEX] >
ADD	R0, SP, #5
LDRB	R1, [R0, #0]
;easyLink.c,186 :: 		calResults_for_vcdac_start_mid[FS_VCO2_INDEX]) {
ADD	R0, SP, #8
LDRB	R0, [R0, #0]
CMP	R1, R0
IT	LS
BLS	L_ccRF_ManualCalibration21
;easyLink.c,187 :: 		writeByte = calResults_for_vcdac_start_high[FS_VCO2_INDEX];
ADD	R0, SP, #5
LDRB	R0, [R0, #0]
STRB	R0, [SP, #12]
;easyLink.c,188 :: 		CCRF_SPIWriteReg(CCRF_3_FS_VCO2, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12069
BL	_ccRF_SPIWriteReg+0
;easyLink.c,189 :: 		writeByte = calResults_for_vcdac_start_high[FS_VCO4_INDEX];
ADD	R0, SP, #5
ADDS	R0, R0, #1
LDRB	R0, [R0, #0]
STRB	R0, [SP, #12]
;easyLink.c,190 :: 		CCRF_SPIWriteReg(CCRF_3_FS_VCO4, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12067
BL	_ccRF_SPIWriteReg+0
;easyLink.c,191 :: 		writeByte = calResults_for_vcdac_start_high[FS_CHP_INDEX];
ADD	R0, SP, #5
ADDS	R0, R0, #2
LDRB	R0, [R0, #0]
STRB	R0, [SP, #12]
;easyLink.c,192 :: 		CCRF_SPIWriteReg(CCRF_3_FS_CHP, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12056
BL	_ccRF_SPIWriteReg+0
;easyLink.c,193 :: 		} else {
IT	AL
BAL	L_ccRF_ManualCalibration22
L_ccRF_ManualCalibration21:
;easyLink.c,194 :: 		writeByte = calResults_for_vcdac_start_mid[FS_VCO2_INDEX];
ADD	R0, SP, #8
LDRB	R0, [R0, #0]
STRB	R0, [SP, #12]
;easyLink.c,195 :: 		CCRF_SPIWriteReg(CCRF_3_FS_VCO2, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12069
BL	_ccRF_SPIWriteReg+0
;easyLink.c,196 :: 		writeByte = calResults_for_vcdac_start_mid[FS_VCO4_INDEX];
ADD	R0, SP, #8
ADDS	R0, R0, #1
LDRB	R0, [R0, #0]
STRB	R0, [SP, #12]
;easyLink.c,197 :: 		CCRF_SPIWriteReg(CCRF_3_FS_VCO4, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12067
BL	_ccRF_SPIWriteReg+0
;easyLink.c,198 :: 		writeByte = calResults_for_vcdac_start_mid[FS_CHP_INDEX];
ADD	R0, SP, #8
ADDS	R0, R0, #2
LDRB	R0, [R0, #0]
STRB	R0, [SP, #12]
;easyLink.c,199 :: 		CCRF_SPIWriteReg(CCRF_3_FS_CHP, &writeByte, 1);
ADD	R0, SP, #12
MOVS	R2, #1
MOV	R1, R0
MOVW	R0, #12056
BL	_ccRF_SPIWriteReg+0
;easyLink.c,200 :: 		}
L_ccRF_ManualCalibration22:
;easyLink.c,201 :: 		}
L_end_ccRF_ManualCalibration:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _ccRF_ManualCalibration
_ccRF_Configure:
;easyLink.c,203 :: 		void ccRF_Configure(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;easyLink.c,204 :: 		ccRF_RegisterConfig();
BL	_ccRF_registerConfig+0
;easyLink.c,205 :: 		ccRF_ManualCalibration();
BL	_ccRF_ManualCalibration+0
;easyLink.c,206 :: 		}
L_end_ccRF_Configure:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ccRF_Configure
